# Retrieve your monthly usages

> Container Tracking API, GET /usages: The endpoint allows you to retrieve your monthly usages of the API.

`GET /usages` on the Container Tracking API. Base URL: `https://api.sinay.ai/container-tracking/api/v2`.

The endpoint allows you to retrieve your monthly usages of the API

## Query parameters

::api-parameters{location="query"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `startTime` | string (date-time) | No | Start time at which usages must be found. |
| `endTime` | string (date-time) | No | End time at which usages must be found. |
::

## Responses

::api-response
---
status: "200"
description: The monthly usages
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `allCalls` | integer (int64) | Yes | — |
| `successCalls` | integer (int64) | Yes | — |
| `clientErrorCalls` | integer (int64) | Yes | — |
| `serverErrorCalls` | integer (int64) | Yes | — |
| `consumedApiUnits` | integer (int64) | Yes | — |
| `periodicUsages` | object | No | — |
| `periodicUsages.<key>` | object | No | — |
| `periodicUsages.<key>.allCalls` | integer (int64) | Yes | — |
| `periodicUsages.<key>.successCalls` | integer (int64) | Yes | — |
| `periodicUsages.<key>.clientErrorCalls` | integer (int64) | Yes | — |
| `periodicUsages.<key>.serverErrorCalls` | integer (int64) | Yes | — |
| `periodicUsages.<key>.consumedApiUnits` | integer (int64) | Yes | — |

Example response body:

```json
{
  "allCalls": 15,
  "successCalls": 13,
  "clientErrorCalls": 1,
  "serverErrorCalls": 1,
  "consumedApiUnits": 25,
  "periodicUsages": {
    "2022-05": {
      "allCalls": 15,
      "successCalls": 13,
      "clientErrorCalls": 1,
      "serverErrorCalls": 1,
      "consumedApiUnits": 25
    }
  }
}
```

::

::api-response
---
status: "401"
description: The authentication failed
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: "500"
description: An error occurred on server side
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: default
description: default
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::
